﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;

namespace WpfApplication4
{
    public class Employee : INotifyPropertyChanged
    {
        private int _empId;
        private string _empName;


        public int EmpId
        {
            get
            {
                return this._empId;
            }
            set
            {
                if (this._empId != value)
                {
                    this._empId = value;
                    this.RaisePropertyChanged("EmpId");
                }
            }
        }
        public string EmpName
        {
            get
            {
                return this._empName;
            }
            set
            {
                if (this._empName != value)
                {
                    this._empName = value;
                    this.RaisePropertyChanged("EmpName");
                }
            }
        }
        public event PropertyChangedEventHandler PropertyChanged;

        private void RaisePropertyChanged(string propertyName)
        {
            PropertyChangedEventHandler handler = this.PropertyChanged;
            if (handler != null)
            {
                handler(this, new PropertyChangedEventArgs(propertyName));
            }
        }
    }
}
