﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;
using System.Collections.ObjectModel;

namespace WpfApplication4
{
    class MyVM : INotifyPropertyChanged
    {

        public MyVM()
        {
            SelectedEmployess = new ObservableCollection<Employee>();
            Employess = new ObservableCollection<Employee>();
            

            Employess.Add(new Employee() { EmpId = 1, EmpName = "abhay" });
            Employess.Add(new Employee() { EmpId = 2, EmpName = "girish" });
            Employess.Add(new Employee() { EmpId = 3, EmpName = "kunal" });
            Employess.Add(new Employee() { EmpId = 4, EmpName = "avinash" });
        }

        private ObservableCollection<Employee> _SelectedEmployess;

        public ObservableCollection<Employee> SelectedEmployess
        {
            get { return _SelectedEmployess; }
            set 
            { 
                _SelectedEmployess = value;
                OnPropertyChanged("SelectedEmployess");
            }
        }

        private ObservableCollection<Employee> _Employess;

        public ObservableCollection<Employee> Employess
        {
            get { return _Employess; }
            set { _Employess = value; OnPropertyChanged("Employess"); }
        }

        public event PropertyChangedEventHandler PropertyChanged;
        protected void OnPropertyChanged(string propertyName)
        {
            PropertyChangedEventHandler handler = PropertyChanged;
            if (handler != null)
            {
                handler(this, new PropertyChangedEventArgs(propertyName));
            }
        }
        private List<Employee> GetSelectedEmps()
        {
            var lst = new List<Employee>();

            lst.Add(new Employee() { EmpId = 1, EmpName = "abhay" });
            lst.Add(new Employee() { EmpId = 2, EmpName = "girish" });
            

            return lst;
        }

        private List<Employee> GetEmps()
        {
            var lst1 = new List<Employee>();

            lst1.Add(new Employee() { EmpId = 1, EmpName = "abhay" });
            lst1.Add(new Employee() { EmpId = 2, EmpName = "girish" });
            lst1.Add(new Employee() { EmpId = 3, EmpName = "kunal" });
            lst1.Add(new Employee() { EmpId = 4, EmpName = "avinash" });

            return lst1;
        }
    }
}
